MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032150Open CASCADE[OCCT] OCCT:Visualizationpublic2021-02-20 20:402021-02-27 12:26
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032150: Visualization, TKOpenGl - ignore OpenGl_Caps::ffpEnable when FFP is unavailable
DescriptionForcing OpenGl_Caps::ffpEnable on implementations not providing FFP (OpenGL ES 2.0+ or OpenGL Core Profile) produces errors and broken output - including several test cases.

It is proposed ignoring attempts to enable this option when it is practically cannot be used.
Steps To Reproduce
pload MODELING VISUALIZATION
vcaps -core
vcaps -ffp 1
vcaps -sprites 0
vinit View1
box b 1 2 3
vdisplay -dispMode 1 b
set vv [explode b V]
vdisplay {*}$vv
vfit
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0028098verifiedbugmaster Visualization - errors in tests when using OpenGL ES (ANGLE) 
child of 0027715closedbugmaster Visualization - turn off deprecated OpenGL fixed-function pipeline by default 

-  Notes
(0099009)
git (administrator)
2021-02-20 21:13

Branch CR32150 has been created by kgv.

SHA-1: 1150bdd22f9f70894a1f616ff1324e10da2a39ca


Detailed log of new commits:

Author: kgv
Date: Sat Feb 20 20:58:33 2021 +0300

    0032150: Visualization, TKOpenGl - ignore OpenGl_Caps::ffpEnable when FFP is unavailable
    
    OpenGl_Workspace::Activate() now implicitly disables OpenGl_Caps::ffpEnable when it is unsupported.
    OpenGl_AspectsSprite::build() now ignores OpenGl_Caps::pntSpritesDisable when Display Lists are unsupported.
(0099011)
kgv (developer)
2021-02-20 21:15

Patch is ready for review
- OCCT: branch CR32150.
(0099078)
git (administrator)
2021-02-21 18:06

Branch CR32150 has been updated forcibly by kgv.

SHA-1: d672fae17635edee080d5662651a28eadc5e8a08
(0099081)
git (administrator)
2021-02-21 18:41

Branch CR32150 has been updated forcibly by kgv.

SHA-1: 70509d09d7356b5d810a0acaa46c4b5609b9ec79
(0099083)
git (administrator)
2021-02-21 20:04

Branch CR32150 has been updated forcibly by kgv.

SHA-1: f8ac43b143c76f4e318959323f368847a2712c85
(0099085)
git (administrator)
2021-02-21 20:13

Branch CR32150 has been updated forcibly by kgv.

SHA-1: 6a16b46f736daf140f5d3d1a9c5ff5e715991b1b
(0099103)
osa (developer)
2021-02-24 10:05

The patch was reviewed
(0099200)
bugmaster (administrator)
2021-02-27 11:49

Combination -
OCCT branch : IR-2021-02-26
master SHA - bc0711a5c3c2c9a627834136e10b13a8564c5a00
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-02-26 SHA - 5c3782d3621ca4bd4a2339197c1c5cf352b51ac7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17811.770000000153 / 17875.850000000235 [-0.36%]
Products
Total CPU difference: 11543.6500000001 / 11549.600000000113 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 19344.3125 / 19351.640625 [-0.04%]
Products
Total CPU difference: 12900.578125 / 12845.234375 [+0.43%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099217)
git (administrator)
2021-02-27 12:26

Branch CR32150 has been deleted by inv.

SHA-1: 6a16b46f736daf140f5d3d1a9c5ff5e715991b1b

- Related Changesets
occt: master 92996979
Timestamp: 2021-02-20 17:58:33
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032150: Visualization, TKOpenGl - ignore OpenGl_Caps::ffpEnable when FFP is unavailable

OpenGl_Workspace::Activate() now implicitly disables OpenGl_Caps::ffpEnable when it is unsupported.
OpenGl_AspectsSprite::build() now ignores OpenGl_Caps::pntSpritesDisable when Display Lists are unsupported.
mod - src/OpenGl/OpenGl_AspectsSprite.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlFunctions.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextureFormat.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-20 20:40 kgv New Issue
2021-02-20 20:40 kgv Assigned To => kgv
2021-02-20 20:48 kgv Relationship added child of 0028098
2021-02-20 20:53 kgv Steps to Reproduce Updated View Revisions
2021-02-20 21:08 kgv Steps to Reproduce Updated View Revisions
2021-02-20 21:13 git Note Added: 0099009
2021-02-20 21:15 kgv Note Added: 0099011
2021-02-20 21:15 kgv Assigned To kgv => osa
2021-02-20 21:15 kgv Status new => resolved
2021-02-21 18:06 git Note Added: 0099078
2021-02-21 18:41 git Note Added: 0099081
2021-02-21 20:04 git Note Added: 0099083
2021-02-21 20:13 git Note Added: 0099085
2021-02-24 10:05 osa Note Added: 0099103
2021-02-24 10:05 osa Assigned To osa => bugmaster
2021-02-24 10:05 osa Status resolved => reviewed
2021-02-24 21:16 kgv Relationship added child of 0027715
2021-02-27 11:49 bugmaster Note Added: 0099200
2021-02-27 11:49 bugmaster Status reviewed => tested
2021-02-27 11:54 bugmaster Test case number => Not required
2021-02-27 11:59 bugmaster Changeset attached => occt master 92996979
2021-02-27 11:59 bugmaster Status tested => verified
2021-02-27 11:59 bugmaster Resolution open => fixed
2021-02-27 12:26 git Note Added: 0099217


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker